Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkJPEGReader Class Reference

`#include <vtkJPEGReader.h>`

Inheritance diagram for vtkJPEGReader:

[legend]
Collaboration diagram for vtkJPEGReader:

[legend]
List of all members.

## Detailed Description

read JPEG files

Date:
  2002/11/12 19:44:35

Revision:
  1.11

vtkJPEGReader is a source object that reads JPEG files. It should be able to read most any JPEG file

See also:
  vtkJPEGWriter

Created by:
  - Miller, Jim

CVS contributions (if > 5%):
  - Miller, Jim (45%)
  - Hoffman, Bill (37%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkJPEGReader.cxx)`
  - .`h` (`/IO/vtkJPEGReader.h)`

Tests:
  vtkJPEGReader (Tests)

Definition at line 49 of file vtkJPEGReader.h.

## Public Types
typedef vtkImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
int | CanReadFile (const char *fname)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()
## Static Public Methods
vtkJPEGReader * | New ()
int | IsTypeOf (const char *type)
vtkJPEGReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkJPEGReader ()
| ~vtkJPEGReader ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)

## Member Typedef Documentation

typedef vtkImageReader2 vtkJPEGReader::Superclass

| Reimplemented from vtkImageReader2. Definition at line 53 of file vtkJPEGReader.h.

## Constructor & Destructor Documentation

vtkJPEGReader::vtkJPEGReader | ( |  | ) | `[inline, protected]`

| Definition at line 77 of file vtkJPEGReader.h.

vtkJPEGReader::~vtkJPEGReader | ( |  | ) | `[inline, protected]`

| Definition at line 78 of file vtkJPEGReader.h.

## Member Function Documentation

vtkJPEGReader* vtkJPEGReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2.

virtual const char* vtkJPEGReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2.

int vtkJPEGReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

virtual int vtkJPEGReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

vtkJPEGReader* vtkJPEGReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2.

virtual void vtkJPEGReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2.

int vtkJPEGReader::CanReadFile | ( | const char * | fname | ) |

| Is the given file a JPEG file?

virtual const char* vtkJPEGReader::GetFileExensions | ( |  | ) | `[inline, virtual]`

| Get the file extensions for this format. Returns a string with a space separated list of extensions in the format .extension Reimplemented from vtkImageReader2. Definition at line 62 of file vtkJPEGReader.h.

virtual const char* vtkJPEGReader::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

| Return a descriptive name for the file format that might be useful in a GUI. Reimplemented from vtkImageReader2. Definition at line 71 of file vtkJPEGReader.h.

virtual void vtkJPEGReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

virtual void vtkJPEGReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

The documentation for this class was generated from the following file:

- IO/vtkJPEGReader.h